/*
name: stk_constants.h
info: basic stk toolkit constants - header file
author: Dusan Halicky (dvh.tosomja@post.sk)
licence: GNU GPL
history: 2005-09-27 - start of developement
todo: - finish and release this
bugs: - 
*/

#ifndef STK_CONSTANTS_H
#define STK_CONSTANTS_H

// configuration --------------------------------------------------------------

// active animation - disturbing but good for debugging of mouse over/out events
#define no_STK_ACTIVE_ANIMATION

// optional imlib support - this allows you to use PNG,GIF,JPEG,XPM,and more files, but it takes more space!, if disabled - only XPM format available!
#define STK_IMLIB_USED

// STK constants ------------------------------------------------------------------

// mouse buttons
#define STK_MOUSE_BUTTON_LEFT			1
#define STK_MOUSE_BUTTON_MIDDLE			2
#define STK_MOUSE_BUTTON_RIGHT			3
#define STK_MOUSE_BUTTON_SCROLL_UP		4
#define STK_MOUSE_BUTTON_SCROLL_DOWN		5
#define STK_MOUSE_BUTTON_MIDDLE_SCROLL_UP	6
#define STK_MOUSE_BUTTON_MIDDLE_SCROLL_DOWN	7

// keys modifiers
#define STK_MODIFIER_NONE			0
#define STK_MODIFIER_SHIFT  			1
#define STK_MODIFIER_CAPSLOCK			2
#define STK_MODIFIER_CTRL			4
#define STK_MODIFIER_ALT			8
#define STK_MODIFIER_NUMLOCK			16
#define STK_MODIFIER_META			64

// debugging ------------------------------------------------------------------

// debugging for all parts
#define no_STK_DEBUG			// local debug (debug is on/off in all .cc files)
#define no_STK_GLOBAL_DEBUG		// global debug (debug is on/off here, in next section)

// debugging for single parts
#ifdef no_STK_GLOBAL_DEBUG
// debug bitmap
#define no_STK_BITMAP_DEBUG
// debug callback
#define no_STK_CALLBACK_DEBUG
// debug colors
#define no_STK_COLORS_DEBUG
// debug component
#define no_STK_COMPONENT_DEBUG
// debug components
#define no_STK_COMPONENTS_DEBUG
#define no_STK_COMPONENTS_DEBUG_FIND
#define no_STK_COMPONENTS_DEBUG_UPDATE
#define no_STK_COMPONENTS_DEBUG_UPDATE_UNHANDLED
#define no_STK_COMPONENTS_DEBUG_SHORTCUT
#define no_STK_COMPONENTS_DEBUG_ECNF
// debug display
#define no_STK_DISPLAY_DEBUG
// debug font
#define no_STK_FONT_DEBUG
// debug functions
#define no_STK_FUNCTIONS_DEBUG
// debug init
#define no_STK_INIT_DEBUG
// debug keys
#define no_STK_KEYS_DEBUG
// debug mouse
#define no_STK_MOUSE_DEBUG
// debug shapes
#define no_STK_SHAPES_DEBUG
#define no_STK_SHAPES_DEBUG_DRAW_LABEL
// debug window
#define no_STK_WINDOW_DEBUG
// components
// debug button
#define no_STK_BUTTON_DEBUG
// debug checkbox
#define no_STK_CHECKBOX_DEBUG
#define no_STK_CHECKBOX_DEBUG_EXPOSE
#define no_STK_CHECKBOX_DEBUG_MOUSE_OVER_OUT
#define no_STK_CHECKBOX_DEBUG_SHORTCUT
// debug image
#define no_STK_IMAGE_DEBUG
// debug label
#define no_STK_LABEL_DEBUG
#define no_STK_LABEL_DEBUG_EXPOSE
#define no_STK_LABEL_DEBUG_MOUSE_OVER_OUT
#define no_STK_LABEL_DEBUG_SHORTCUT
// debug radiobutton
#define no_STK_RADIOBUTTON_DEBUG
#define no_STK_RADIOBUTTON_DEBUG_EXPOSE
#define no_STK_RADIOBUTTON_DEBUG_MOUSE_OVER_OUT
#define no_STK_RADIOBUTTON_DEBUG_SHORTCUT
// debug shortcut
#define no_STK_SHORTCUT_DEBUG
// debug slider
#define no_STK_SLIDER_DEBUG
// end of debug
#endif

#endif // STK_CONSTANTS_H

